package WEB-INF.classes.wenrgise.hrms.bean;

import java.io.Serializable;
import wenrgise.common.bean.BaseHeaderBean;

public class HrmAttShiftMstHdrBean extends BaseHeaderBean implements Serializable {
  private String shiftCode;
  
  private String shiftDescription;
  
  private String startTime;
  
  private String endTime;
  
  private String relaxationTime;
  
  private String startTolerenceTime;
  
  private String endTolerenceTime;
  
  private String overlapTime;
  
  private String txtDayOverlapFlag;
  
  String hdnWorkId;
  
  public String getShiftCode() {
    return this.shiftCode;
  }
  
  public void setShiftCode(String newShiftCode) {
    this.shiftCode = newShiftCode;
  }
  
  public String getShiftDescription() {
    return this.shiftDescription;
  }
  
  public void setShiftDescription(String newShiftDescription) {
    this.shiftDescription = newShiftDescription;
  }
  
  public String getStartTime() {
    return this.startTime;
  }
  
  public void setStartTime(String newStartTime) {
    this.startTime = newStartTime;
  }
  
  public String getEndTime() {
    return this.endTime;
  }
  
  public void setEndTime(String newEndTime) {
    this.endTime = newEndTime;
  }
  
  public String getRelaxationTime() {
    return this.relaxationTime;
  }
  
  public void setRelaxationTime(String newRelaxationTime) {
    this.relaxationTime = newRelaxationTime;
  }
  
  public String getStartTolerenceTime() {
    return this.startTolerenceTime;
  }
  
  public void setStartTolerenceTime(String newStartTolerenceTime) {
    this.startTolerenceTime = newStartTolerenceTime;
  }
  
  public String getEndTolerenceTime() {
    return this.endTolerenceTime;
  }
  
  public void setEndTolerenceTime(String newEndTolerenceTime) {
    this.endTolerenceTime = newEndTolerenceTime;
  }
  
  public String getOverlapTime() {
    return this.overlapTime;
  }
  
  public void setOverlapTime(String newOverlapTime) {
    this.overlapTime = newOverlapTime;
  }
  
  public String getTxtDayOverlapFlag() {
    return this.txtDayOverlapFlag;
  }
  
  public void setTxtDayOverlapFlag(String newTxtDayOverlapFlag) {
    this.txtDayOverlapFlag = newTxtDayOverlapFlag;
  }
  
  public String getHdnWorkId() {
    return this.hdnWorkId;
  }
  
  public void setHdnWorkId(String newHdnWorkId) {
    this.hdnWorkId = newHdnWorkId;
  }
}
